using Decimation.Lib.Items;
using Decimation.Lib.Util;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace Decimation.Content.Items.Boss.Arachnus
{
    internal class MoltenKey : DecimationItem
    {
        protected override string ItemName => "Molten Key";
        protected override string ItemTooltip => "A strange key used to open a forbidden temple deep inside this world";

        protected override void Init()
        {
            item.width = 20;
            item.height = 20;
            item.consumable = true;
            item.value = Item.buyPrice(0, 45);
            item.rare = Rarity.Red.GetRarityValue();

            this.item.maxStack = 1;
        }

        public class DropFromMoonLord : GlobalNPC
        {
            public override void NPCLoot(NPC npc)
            {
                if (npc.type == NPCID.MoonLordCore)
                    Item.NewItem((int) npc.position.X, (int) npc.position.Y, npc.width, npc.height,
                        ModContent.ItemType<MoltenKey>());
            }
        }
    }
}